#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kde-base-artwork
Summary: KDE 4 application workspace components
Version: 4.10.2
Release: %mkrel %{rel}
Group: Graphical desktop/KDE
License: GPLv2
Source:  ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildArch:   noarch
Conflicts: kdebase4-workspace < 2:4.9.1

%description
This package provides the Air and Ariya Splash Screen.

%files
%doc COPYING
%_kde_appsdir/ksplash/Themes/Air

#-----------------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

# Rename Default ksplashx folder to Air & edit the Theme.rc to match the folder name so we can have a description
sed -i 's/KSplash\ Theme\:\ Default/KSplash\ Theme\:\ Air/' %{buildroot}/%_kde_appsdir/ksplash/Themes/Default/Theme.rc
sed -i 's/Default\ Splash\ Screen/Air\ and\ Elarun\ Splash\ Screen/' %{buildroot}/%_kde_appsdir/ksplash/Themes/Default/Theme.rc
mv %{buildroot}/%_kde_appsdir/ksplash/Themes/Default/ %{buildroot}/%_kde_appsdir/ksplash/Themes/Air

%changelog

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407152
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401863
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394333
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 355920
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 lmenut <lmenut> 4.9.97-1.mga3
+ Revision: 339968
- Update ksplash Air theme name

  + mikala <mikala>
    - Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334484
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Tue Dec 04 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326639
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320182
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316126
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301907
- Update tarball to KDE SC 4.9.2

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289658
- Update tarball to 4.9.1
- Fix folder path
- Remove epoch
- Fix name in Theme.rc to match Air folder (so we can have a description in systemsettings)
- imported package kde-base-artwork

